org.wildfly.swarm.config.undertow.server

## Class Host.HostResources

- java.lang.Object
- - org.wildfly.swarm.config.undertow.server.Host.HostResources

- Enclosing class:
    Host<T extends Host<T>>

      public static class Host.HostResources
      extends Object

  Child mutators for Host

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AccessLogSetting` | `accessLogSetting()` The access log configuration for this virtual server.
    `FilterRef` | `filterRef(String key)`
    `List<FilterRef>` | `filterRefs()` Get the list of FilterRef resources
    `Location` | `location(String key)`
    `List<Location>` | `locations()` Get the list of Location resources
    `SingleSignOnSetting` | `singleSignOnSetting()` The SSO configuration for this virtual server.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HostResources

          public HostResources()

  - ### Method Detail

    - #### filterRefs

          public List<FilterRef> filterRefs()

      Get the list of FilterRef resources
      Returns:
        the list of resources

    - #### filterRef

          public FilterRef filterRef(String key)

    - #### locations

          public List<Location> locations()

      Get the list of Location resources
      Returns:
        the list of resources

    - #### location

          public Location location(String key)

    - #### accessLogSetting

          public AccessLogSetting accessLogSetting()

      The access log configuration for this virtual server.

    - #### singleSignOnSetting

          public SingleSignOnSetting singleSignOnSetting()

      The SSO configuration for this virtual server.

Copyright © 2017 JBoss by Red Hat. All rights reserved.